Package org.sonatype.plexus.components.sec.dispatcher

## Interface SecDispatcher

All Known Implementing Classes:
  `DefaultSecDispatcher`

    public interface SecDispatcher

This component descrypts a string, passed to it

Author:
  Oleg Gusakov

### Field Summary

Fields
`static java.lang.String` `ROLE`
`static java.lang.String[]` `SYSTEM_PROPERTY_MASTER_PASSWORD`
`static java.lang.String[]` `SYSTEM_PROPERTY_SERVER_PASSWORD`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `decrypt​(java.lang.String str)` decrypt given encrypted string

### Field Detail

#### ROLE

    static final java.lang.String ROLE

#### SYSTEM_PROPERTY_MASTER_PASSWORD

    static final java.lang.String[] SYSTEM_PROPERTY_MASTER_PASSWORD

#### SYSTEM_PROPERTY_SERVER_PASSWORD

    static final java.lang.String[] SYSTEM_PROPERTY_SERVER_PASSWORD

### Method Detail

#### decrypt

    java.lang.String decrypt​(java.lang.String str)
                      throws SecDispatcherException

decrypt given encrypted string

Parameters:
  `str` -
Returns:
  decrypted string
Throws:
  `SecDispatcherException`